Summary: OpenBSD IKE-Daemon for Linux Kernel 2.6
Name: isakmpd
Version: 20030812
Release: 1
License: BSD
Group: System Environment/Base
URL: http://bender.thinknerd.de/~thomas/IPsec/isakmpd-linux.html
Source: %{name}.tar.gz
Patch1: isakmpd-patch
Patch2: keyconv-patch
Requires: kernel >= 2.6.0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

#%define kernel /disk2/usermode/compile/uml-2.6.0-test2/linux-2.6.0-test2/include/
%description
This is isakmpd, a BSD-licensed ISAKMP/Oakley (a.k.a. IKE)
implementation.  It's written by Niklas Hallqvist and Niels Provos,
funded by Ericsson Radio Systems AB.  Isakmpd's home is in the
OpenBSD main source tree under src/sbin/isakmpd.  Look at
http://www.openbsd.org/ for details on how to get OpenBSD source.
 

%prep
%setup -q
%patch1 -p1 
cd apps/keyconv
%patch2 

%build
CFLAGS="-I/usr/kerberos/include" make
cd apps/certpatch
gcc -DMP_FLAVOUR=MP_FLAVOUR_GMP -I../.. -I../../sysdep/linux   -I /disk2/usermode/compile/uml-2.6.0-test2/linux-2.6.0-test2/include/ -lcrypto -lgmp certpatch.c -o certpatch

cd ../keyconv
gcc  -I../.. -I../../sysdep/linux   -I /disk2/usermode/compile/uml-2.6.0-test2/linux-2.6.0-test2/include/ -lcrypto -lgmp base64.c keyconv.c -o keyconv

cd ../..

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/etc/isakmpd
mkdir -p %{buildroot}/usr/share/man/man8
cp isakmpd %{buildroot}/usr/sbin
cp isakmpd.8 %{buildroot}/usr/share/man/man8
cp apps/certpatch/certpatch.8 %{buildroot}/usr/share/man/man8
cp apps/keyconv/keyconv.8 %{buildroot}/usr/share/man/man8

cp apps/keyconv/keyconv %{buildroot}/usr/sbin

%post -p /sbin/ldconfig  

%postun -p /sbin/ldconfig 

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc QUESTIONS README README.PKI BUGS TO-DO DESIGN-NOTES samples/*
%config %{_sysconfdir}/isakmpd/
/usr/sbin/*
%{_mandir}/man8/*

%changelog
* Tue Aug 12 2003 Ralf Spenneberg <ralf@spenneberg.net>
- First release of RPM-package
